<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="39276d0a-00e3-48d0-9c0e-a0d08278b21f" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018/__init__.py" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018/test_hashMod.py" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/__init__.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018/Aufg4_VerwendungVonUnittest.py" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018/krypto/hashes.py" beforeDir="false" afterPath="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018/krypto/hashes.py" afterDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CoverageDataManager">
    <SUITE FILE_PATH="coverage/Web__und_Skriptsprachen__Python_Blockkurs_$Unittests_for_test_hashMod_TestHashMod.coverage" NAME="Unittests for test_hashMod.TestHashMod Coverage Results" MODIFIED="1540218541704" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018" />
    <SUITE FILE_PATH="coverage/Web__und_Skriptsprachen__Python_Blockkurs_$AB1_Aufg3.coverage" NAME="AB1_Aufg3 Coverage Results" MODIFIED="1538810960299" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
    <SUITE FILE_PATH="coverage/Web__und_Skriptsprachen__Python_Blockkurs_$AB1_Aufg5.coverage" NAME="AB1_Aufg5 Coverage Results" MODIFIED="1538811804618" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
    <SUITE FILE_PATH="coverage/Web__und_Skriptsprachen__Python_Blockkurs_$Aufg2_Starthash.coverage" NAME="Aufg2_Starthash Coverage Results" MODIFIED="1540218936010" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018" />
    <SUITE FILE_PATH="coverage/Web__und_Skriptsprachen__Python_Blockkurs_$Aufg4_Quadratzahlen_Server.coverage" NAME="Aufg4_Quadratzahlen_Server Coverage Results" MODIFIED="1539864686187" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag1_15.10.2018" />
    <SUITE FILE_PATH="coverage/Web__und_Skriptsprachen__Python_Blockkurs_$Pong.coverage" NAME="Pong Coverage Results" MODIFIED="1539414307376" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
    <SUITE FILE_PATH="coverage/Web__und_Skriptsprachen__Python_Blockkurs_$Tag2_MittelwertAusVariablerAnzahlParameter.coverage" NAME="Tag2_MittelwertAusVariablerAnzahlParameter Coverage Results" MODIFIED="1538815118408" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
    <SUITE FILE_PATH="coverage/Web__und_Skriptsprachen__Python_Blockkurs_$hashes.coverage" NAME="hashes Coverage Results" MODIFIED="1540218926822" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018/krypto" />
    <SUITE FILE_PATH="coverage/Web__und_Skriptsprachen__Python_Blockkurs_$Tag2_EigenesSpiel.coverage" NAME="Tag2_EigenesSpiel Coverage Results" MODIFIED="1538827299769" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
    <SUITE FILE_PATH="coverage/Web__und_Skriptsprachen__Python_Blockkurs_$Starthash.coverage" NAME="Starthash Coverage Results" MODIFIED="1540200159750" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018/krypto" />
    <SUITE FILE_PATH="coverage/Web__und_Skriptsprachen__Python_Blockkurs_$Unittests_in_test_hashMod_py.coverage" NAME="Unittests in test_hashMod.py Coverage Results" MODIFIED="1540218229095" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018" />
    <SUITE FILE_PATH="coverage/Web__und_Skriptsprachen__Python_Blockkurs_$Aufg4_VerwendungVonUnittest.coverage" NAME="Aufg4_VerwendungVonUnittest Coverage Results" MODIFIED="1540217916026" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018" />
    <SUITE FILE_PATH="coverage/Web__und_Skriptsprachen__Python_Blockkurs_$FirstProgram.coverage" NAME="FirstProgram Coverage Results" MODIFIED="1538766705533" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
    <SUITE FILE_PATH="coverage/Web__und_Skriptsprachen__Python_Blockkurs_$Aufg3_YingUndYang_Server.coverage" NAME="Aufg3_YingUndYang_Server Coverage Results" MODIFIED="1539861830668" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung" />
    <SUITE FILE_PATH="coverage/Web__und_Skriptsprachen__Python_Blockkurs_$Unittests_for_test_hashMod_TestHashMod_test_hashMod.coverage" NAME="Unittests for test_hashMod.TestHashMod.test_hashMod Coverage Results" MODIFIED="1540218943701" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018" />
  </component>
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_DATA_SOURCES" value="true" />
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <option name="HIDDEN_KINDS">
      <set />
    </option>
    <expand />
    <select />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="2005159020">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="22" />
          <entry key="project.open.time.1" value="1" />
          <entry key="project.open.time.10" value="3" />
          <entry key="project.open.time.11" value="4" />
          <entry key="project.open.time.12" value="3" />
          <entry key="project.open.time.13" value="2" />
          <entry key="project.open.time.14" value="3" />
          <entry key="project.open.time.15" value="2" />
          <entry key="project.open.time.16" value="1" />
          <entry key="project.open.time.59" value="1" />
          <entry key="project.open.time.8" value="2" />
          <entry key="project.open.time.9" value="1" />
          <entry key="project.opened" value="23" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="css" value="2" />
          <entry key="htm" value="2" />
          <entry key="html" value="12" />
          <entry key="js" value="2" />
          <entry key="py" value="23" />
          <entry key="txt" value="1" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="CSS" value="2" />
          <entry key="HTML" value="14" />
          <entry key="JavaScript" value="2" />
          <entry key="PLAIN_TEXT" value="1" />
          <entry key="Python" value="23" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="css" value="197" />
          <entry key="html" value="925" />
          <entry key="js" value="1018" />
          <entry key="py" value="10949" />
          <entry key="txt" value="274" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="CSS" value="197" />
          <entry key="HTML" value="925" />
          <entry key="JavaScript" value="1018" />
          <entry key="PLAIN_TEXT" value="274" />
          <entry key="Python" value="10949" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018/krypto/hashes.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="170">
              <caret line="10" column="14" selection-start-line="10" selection-start-column="14" selection-end-line="10" selection-end-column="14" />
              <folding>
                <marker date="1540218923327" expanded="true" signature="129:134" ph="..." />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018/test_hashMod.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="221">
              <caret line="13" column="18" selection-start-line="13" selection-start-column="18" selection-end-line="13" selection-end-column="18" />
              <folding>
                <element signature="e#0#29#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018/Aufg2_Starthash.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="51">
              <caret line="3" column="11" selection-start-line="3" selection-start-column="11" selection-end-line="3" selection-end-column="11" />
              <folding>
                <element signature="e#0#10#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="CSS File" />
        <option value="JavaScript File" />
        <option value="HTML File" />
        <option value="Python Script" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="UPDATE_TYPE" value="REBASE" />
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/AB1_Aufg2.py" />
        <option value="$PROJECT_DIR$/AB1_Aufg3.py" />
        <option value="$PROJECT_DIR$/AB1_Aufg5.py" />
        <option value="$PROJECT_DIR$/Tag2_MittelwertAusVariablerAnzahlParameter.py" />
        <option value="$PROJECT_DIR$/Tag2_EigenesSpiel.py" />
        <option value="$PROJECT_DIR$/Pong.py" />
        <option value="$PROJECT_DIR$/AB4_Aufg2.html" />
        <option value="$PROJECT_DIR$/formatiert.css" />
        <option value="$PROJECT_DIR$/HTML_Test_Doc.html" />
        <option value="$PROJECT_DIR$/Format_zu_AB5.css" />
        <option value="$PROJECT_DIR$/AB4_Aufg1.html" />
        <option value="$PROJECT_DIR$/Popups_zu_AB6.js" />
        <option value="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Ying_File.html" />
        <option value="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Yang_File.html" />
        <option value="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Aufg3_YingUndYang_Server.py" />
        <option value="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag1_15.10.2018/Aufg4_Quadratzahlen_Server.py" />
        <option value="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018/krypto/__init__.py" />
        <option value="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018/krypto/Starthash.py" />
        <option value="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018/Aufg2_Starthash.py" />
        <option value="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018/Aufg4_VerwendungVonUnittest.py" />
        <option value="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018/test_hashMod.py" />
        <option value="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018/krypto/hashes.py" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="56" />
    <option name="y" value="54" />
    <option name="width" value="1400" />
    <option name="height" value="820" />
  </component>
  <component name="ProjectInspectionProfilesVisibleTreeState">
    <entry key="Project Default">
      <profile-state>
        <expanded-state>
          <State />
          <State>
            <id>Bitwise operation issuesJavaScript</id>
          </State>
          <State>
            <id>DOM issuesJavaScript</id>
          </State>
          <State>
            <id>Django</id>
          </State>
          <State>
            <id>JavaScript</id>
          </State>
          <State>
            <id>Python</id>
          </State>
          <State>
            <id>SQL</id>
          </State>
        </expanded-state>
        <selected-state>
          <State>
            <id>PyCompatibilityInspection</id>
          </State>
        </selected-state>
      </profile-state>
    </entry>
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="Web- und Skriptsprachen (Python-Blockkurs)" type="b2602c69:ProjectViewProjectNode" />
              <item name="Web- und Skriptsprachen (Python-Blockkurs)" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Web- und Skriptsprachen (Python-Blockkurs)" type="b2602c69:ProjectViewProjectNode" />
              <item name="Web- und Skriptsprachen (Python-Blockkurs)" type="462c0819:PsiDirectoryNode" />
              <item name="mEIM-Praktikum_Webentwicklung" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Web- und Skriptsprachen (Python-Blockkurs)" type="b2602c69:ProjectViewProjectNode" />
              <item name="Web- und Skriptsprachen (Python-Blockkurs)" type="462c0819:PsiDirectoryNode" />
              <item name="mEIM-Praktikum_Webentwicklung" type="462c0819:PsiDirectoryNode" />
              <item name="Tag1_15.10.2018" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Web- und Skriptsprachen (Python-Blockkurs)" type="b2602c69:ProjectViewProjectNode" />
              <item name="Web- und Skriptsprachen (Python-Blockkurs)" type="462c0819:PsiDirectoryNode" />
              <item name="mEIM-Praktikum_Webentwicklung" type="462c0819:PsiDirectoryNode" />
              <item name="Tag2_22.10.2018" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Web- und Skriptsprachen (Python-Blockkurs)" type="b2602c69:ProjectViewProjectNode" />
              <item name="Web- und Skriptsprachen (Python-Blockkurs)" type="462c0819:PsiDirectoryNode" />
              <item name="mEIM-Praktikum_Webentwicklung" type="462c0819:PsiDirectoryNode" />
              <item name="Tag2_22.10.2018" type="462c0819:PsiDirectoryNode" />
              <item name="krypto" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Web- und Skriptsprachen (Python-Blockkurs)" type="b2602c69:ProjectViewProjectNode" />
              <item name="Web- und Skriptsprachen (Python-Blockkurs)" type="462c0819:PsiDirectoryNode" />
              <item name="Python-Blockkurs" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="DefaultHtmlFileTemplate" value="HTML File" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018" />
    <property name="list.type.of.created.stylesheet" value="CSS" />
    <property name="settings.editor.selected.configurable" value="Errors" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="C:\JONKA\Uni\7. Semester (Medizintechnik OHM Nürnberg)\Vorlesung Informationssysteme in der medizintechnik (MEIM)\Web- und Skriptsprachen (Python-Blockkurs)\Python-Blockkurs" />
      <recent name="C:\JONKA\Uni\7. Semester (Medizintechnik OHM Nürnberg)\Vorlesung Informationssysteme in der medizintechnik (MEIM)\Web- und Skriptsprachen (Python-Blockkurs)\mEIM-Praktikum_Webentwicklung\Tag1_15.10.2018" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Python tests.Unittests for test_hashMod.TestHashMod.test_hashMod">
    <configuration name="Aufg2_Starthash" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <module name="Web- und Skriptsprachen (Python-Blockkurs)" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018/Aufg2_Starthash.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="hashes" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <module name="Web- und Skriptsprachen (Python-Blockkurs)" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018/krypto" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018/krypto/hashes.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="Unittests for test_hashMod.TestHashMod" type="tests" factoryName="Unittests" temporary="true" nameIsGenerated="true">
      <module name="Web- und Skriptsprachen (Python-Blockkurs)" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="_new_additionalArguments" value="&quot;&quot;" />
      <option name="_new_target" value="&quot;test_hashMod.TestHashMod&quot;" />
      <option name="_new_targetType" value="&quot;PYTHON&quot;" />
      <method v="2" />
    </configuration>
    <configuration name="Unittests for test_hashMod.TestHashMod.test_hashMod" type="tests" factoryName="Unittests" temporary="true" nameIsGenerated="true">
      <module name="Web- und Skriptsprachen (Python-Blockkurs)" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="_new_additionalArguments" value="&quot;&quot;" />
      <option name="_new_target" value="&quot;test_hashMod.TestHashMod.test_hashMod&quot;" />
      <option name="_new_targetType" value="&quot;PYTHON&quot;" />
      <method v="2" />
    </configuration>
    <configuration name="Unittests in test_hashMod.py" type="tests" factoryName="Unittests" temporary="true" nameIsGenerated="true">
      <module name="Web- und Skriptsprachen (Python-Blockkurs)" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="_new_additionalArguments" value="&quot;&quot;" />
      <option name="_new_target" value="&quot;$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018/test_hashMod.py&quot;" />
      <option name="_new_targetType" value="&quot;PATH&quot;" />
      <method v="2" />
    </configuration>
    <list>
      <item itemvalue="Python.hashes" />
      <item itemvalue="Python tests.Unittests in test_hashMod.py" />
      <item itemvalue="Python tests.Unittests for test_hashMod.TestHashMod" />
      <item itemvalue="Python tests.Unittests for test_hashMod.TestHashMod.test_hashMod" />
      <item itemvalue="Python.Aufg2_Starthash" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Python tests.Unittests for test_hashMod.TestHashMod.test_hashMod" />
        <item itemvalue="Python.Aufg2_Starthash" />
        <item itemvalue="Python.hashes" />
        <item itemvalue="Python tests.Unittests for test_hashMod.TestHashMod" />
        <item itemvalue="Python tests.Unittests in test_hashMod.py" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="39276d0a-00e3-48d0-9c0e-a0d08278b21f" name="Default Changelist" comment="" />
      <created>1538765946920</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1538765946920</updated>
    </task>
    <task id="LOCAL-00001" summary="Initialization">
      <created>1538813521977</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1538813521977</updated>
    </task>
    <task id="LOCAL-00002" summary="Das ist ein Commit-Test für Janko">
      <created>1538815642691</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1538815642692</updated>
    </task>
    <task id="LOCAL-00003" summary="Fertiges PONG-Spiel (Beta-Version zu finden unter &quot;Tag2_EigenesSpiel.py&quot;)">
      <created>1539416867064</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1539416867064</updated>
    </task>
    <task id="LOCAL-00004" summary="Fertiges PONG-Spiel (Beta-Version zu finden unter &quot;Tag2_EigenesSpiel.py&quot;)">
      <created>1539677464477</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1539677464477</updated>
    </task>
    <task id="LOCAL-00005" summary="Fertiges PONG-Spiel (Beta-Version zu finden unter &quot;Tag2_EigenesSpiel.py&quot;)">
      <created>1539677495365</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1539677495365</updated>
    </task>
    <task id="LOCAL-00006" summary="Zwischenstand erster Praktikumstag: Aufgaben 1-3 funktionieren, Aufgabe 4 ist noch zu implementieren">
      <created>1539862104249</created>
      <option name="number" value="00006" />
      <option name="presentableId" value="LOCAL-00006" />
      <option name="project" value="LOCAL" />
      <updated>1539862104249</updated>
    </task>
    <task id="LOCAL-00007" summary="Zwischenstand zweiter Praktikumstag: Erstellung des Moduls + Modulverzeichnis">
      <created>1540215936875</created>
      <option name="number" value="00007" />
      <option name="presentableId" value="LOCAL-00007" />
      <option name="project" value="LOCAL" />
      <updated>1540215936875</updated>
    </task>
    <option name="localTasksCounter" value="8" />
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="Unittests_in_test_hashMod_py - 2018.10.22 at 16h 23m 50s.xml">
      <configuration name="Unittests in test_hashMod.py" configurationId="tests" />
    </history-entry>
    <history-entry file="Unittests_for_test_hashMod_TestHashMod - 2018.10.22 at 16h 29m 02s.xml">
      <configuration name="Unittests for test_hashMod.TestHashMod" configurationId="tests" />
    </history-entry>
    <history-entry file="Unittests_for_test_hashMod_TestHashMod_test_hashMod - 2018.10.22 at 16h 33m 11s.xml">
      <configuration name="Unittests for test_hashMod.TestHashMod.test_hashMod" configurationId="tests" />
    </history-entry>
    <history-entry file="Unittests_for_test_hashMod_TestHashMod_test_hashMod - 2018.10.22 at 16h 33m 30s.xml">
      <configuration name="Unittests for test_hashMod.TestHashMod.test_hashMod" configurationId="tests" />
    </history-entry>
    <history-entry file="Unittests_for_test_hashMod_TestHashMod_test_hashMod - 2018.10.22 at 16h 34m 00s.xml">
      <configuration name="Unittests for test_hashMod.TestHashMod.test_hashMod" configurationId="tests" />
    </history-entry>
    <history-entry file="Unittests_for_test_hashMod_TestHashMod_test_hashMod - 2018.10.22 at 16h 35m 44s.xml">
      <configuration name="Unittests for test_hashMod.TestHashMod.test_hashMod" configurationId="tests" />
    </history-entry>
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1616" height="876" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.24357326" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info active="true" anchor="bottom" id="Run" order="2" visible="true" weight="0.32839838" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.39973083" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="8" weight="0.32974428" />
      <window_info anchor="bottom" id="Database Changes" order="9" show_stripe_button="false" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" weight="0.32974428" />
      <window_info anchor="bottom" id="Terminal" order="11" weight="0.32896653" />
      <window_info anchor="bottom" id="Python Console" order="12" weight="0.32839838" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="SciView" order="3" weight="0.32969153" />
      <window_info anchor="right" x="0" y="0" width="300" height="620" id="Documentation" order="4" side_tool="true" weight="0.32969153" />
      <window_info anchor="right" id="Database" order="5" weight="0.32969153" />
    </layout>
    <layout-to-restore>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.23071979" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.32839838" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.39973083" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="8" weight="0.32974428" />
      <window_info anchor="bottom" id="Database Changes" order="9" show_stripe_button="false" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" weight="0.32974428" />
      <window_info anchor="bottom" id="Terminal" order="11" weight="0.32896653" />
      <window_info anchor="bottom" id="Python Console" order="12" weight="0.32839838" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" auto_hide="true" id="SciView" order="3" show_stripe_button="false" type="FLOATING" weight="0.32969153" />
      <window_info anchor="right" x="0" y="0" width="300" height="620" id="Documentation" order="4" side_tool="true" weight="0.32969153" />
      <window_info anchor="right" id="Database" order="5" weight="0.32969153" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="Initialization" />
    <MESSAGE value="Das ist ein Commit-Test für Janko" />
    <MESSAGE value="Fertiges PONG-Spiel (Beta-Version zu finden unter &quot;Tag2_EigenesSpiel.py&quot;)" />
    <MESSAGE value="Zwischenstand erster Praktikumstag: Aufgaben 1-3 funktionieren, Aufgabe 4 ist noch zu implementieren" />
    <MESSAGE value="Zwischenstand zweiter Praktikumstag: Erstellung des Moduls + Modulverzeichnis" />
    <option name="LAST_COMMIT_MESSAGE" value="Zwischenstand zweiter Praktikumstag: Erstellung des Moduls + Modulverzeichnis" />
  </component>
  <component name="XDebuggerManager">
    <watches-manager>
      <configuration name="PythonConfigurationType">
        <watch expression="size_image[0]/2 &lt;= image_rect.centerx &lt;= width-(size_image[0]/2) and size_image[1]/2 &lt;= image_rect.centery &lt;= height-(size_image[1]/2)" language="Python" />
        <watch expression="image_rect.centerx" language="Python" />
        <watch expression="image_rect.centery" language="Python" />
        <watch expression="move_vector" language="Python" />
        <watch expression="image.get_rect().size" language="Python" />
      </configuration>
    </watches-manager>
  </component>
  <component name="debuggerHistoryManager">
    <expressions id="watch">
      <expression>
        <expression-string>width-(size_image[0]/2)</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>image.get_rect().size</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>move_vector</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>image_rect.centery</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>image_rect.centerx</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>size_image[0]/2 &lt;= image_rect.centerx &lt;= width-(size_image[0]/2) and size_image[1]/2 &lt;= image_rect.centery &lt;= height-(size_image[1]/2)</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
    </expressions>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/FirstProgramm.py.txt" />
    <entry file="file://$PROJECT_DIR$/AB1_Aufg2.py" />
    <entry file="file://$PROJECT_DIR$/AB1_Aufg3.py" />
    <entry file="file://$PROJECT_DIR$/AB1_Aufg4.py" />
    <entry file="file://$PROJECT_DIR$/AB1_Aufg5.py" />
    <entry file="file://$PROJECT_DIR$/FirstProgram.py" />
    <entry file="file://$PROJECT_DIR$/Tag2_MittelwertAusVariablerAnzahlParameter.py" />
    <entry file="file://$APPLICATION_HOME_DIR$/helpers/pydev/_pydev_imps/_pydev_execfile.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="289">
          <caret line="17" selection-start-line="17" selection-end-line="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Python-Blockkurs/formatiert.css">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="17">
          <caret line="1" column="15" selection-start-line="1" selection-start-column="15" selection-end-line="1" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Python-Blockkurs/Format_zu_AB5.css">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="561">
          <caret line="33" column="22" selection-start-line="33" selection-start-column="22" selection-end-line="33" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Tag2_EigenesSpiel.py" />
    <entry file="file://$PROJECT_DIR$/Pong.py" />
    <entry file="file://$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag1_15.10.2018/Aufg2_Sockets_Server.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag1_15.10.2018/Aufg2_Sockets_Client.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/Python-Blockkurs/Popups_zu_AB6.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="136">
          <caret line="8" column="33" selection-start-line="8" selection-start-column="33" selection-end-line="8" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Python-Blockkurs/HTML_Test_Doc.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="85">
          <caret line="5" column="49" selection-start-line="5" selection-start-column="49" selection-end-line="5" selection-end-column="49" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Python-Blockkurs/LangesDoc.htm">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="4" column="32" lean-forward="true" selection-start-line="4" selection-start-column="32" selection-end-line="4" selection-end-column="107" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag1_15.10.2018/Ying_File.html" />
    <entry file="file://$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag1_15.10.2018/Yang_File.html" />
    <entry file="file://$PROJECT_DIR$/Python-Blockkurs/AB4_Aufg2.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="15" column="8" selection-start-line="15" selection-start-column="8" selection-end-line="15" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag1_15.10.2018/Aufg3_YingUndYang_Server.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="661">
          <caret line="51" selection-start-line="51" selection-end-line="56" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Python-Blockkurs/AB4_Aufg1.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="561">
          <caret line="33" column="7" selection-start-line="33" selection-start-column="7" selection-end-line="33" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/AppData/Local/Temp/Temp1_Uebungs-Dateien.zip/Dateien/Uebung/temperature.py" />
    <entry file="file://$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018/krypto/__init__.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018/krypto/Starthash.py" />
    <entry file="file://$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag1_15.10.2018/Aufg4_Quadratzahlen_Server.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="391">
          <caret line="24" column="26" selection-start-line="24" selection-start-column="26" selection-end-line="24" selection-end-column="26" />
          <folding>
            <element signature="e#0#18#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018/Aufg4_VerwendungVonUnittest.py">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="15" lean-forward="true" selection-start-column="15" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018/krypto/hashes.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="10" column="14" selection-start-line="10" selection-start-column="14" selection-end-line="10" selection-end-column="14" />
          <folding>
            <marker date="1540218923327" expanded="true" signature="129:134" ph="..." />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018/Aufg2_Starthash.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="51">
          <caret line="3" column="11" selection-start-line="3" selection-start-column="11" selection-end-line="3" selection-end-column="11" />
          <folding>
            <element signature="e#0#10#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mEIM-Praktikum_Webentwicklung/Tag2_22.10.2018/test_hashMod.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="221">
          <caret line="13" column="18" selection-start-line="13" selection-start-column="18" selection-end-line="13" selection-end-column="18" />
          <folding>
            <element signature="e#0#29#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>